controllersBase:
    resource:
        path: ../src/Base/Framework/Controller/
        namespace: App\Base\Framework\Controller
    type: attribute
    defaults:
        schemes: [ 'https' ]

controllersDiscover:
    resource:
        path: ../src/Discover/Framework/Controller/
        namespace: App\Discover\Framework\Controller
    type: attribute
    defaults:
        schemes: [ 'https' ]

controllersEventLog:
    resource:
        path: ../src/EventLog/Framework/Controller/
        namespace: App\EventLog\Framework\Controller
    type: attribute
    defaults:
        schemes: [ 'https' ]

controllersLibrary:
    resource:
        path: ../src/Library/Framework/Controller/
        namespace: App\Library\Framework\Controller
    type: attribute
    defaults:
        schemes: [ 'https' ]

controllersSearch:
    resource:
        path: ../src/Search/Framework/Controller/
        namespace: App\Search\Framework\Controller
    type: attribute
    defaults:
        schemes: [ 'https' ]

controllersUser:
    resource:
        path: ../src/User/Framework/Controller
        namespace: App\User\Framework\Controller
    type: attribute
    defaults:
        schemes: ['https']

controllersDownload:
    resource:
        path: ../src/Download/Framework/Controller
        namespace: App\Download\Framework\Controller
    type: attribute
    defaults:
        schemes: [ 'https' ]

controllersMonitor:
    resource:
        path: ../src/Monitor/Framework/Controller
        namespace: App\Monitor\Framework\Controller
    type: attribute
    defaults:
        schemes: ['https']

controllersTorrentio:
    resource:
        path: ../src/Torrentio/Framework/Controller
        namespace: App\Torrentio\Framework\Controller
    type: attribute
    defaults:
        schemes: ['https']

controllersTmdb:
    resource:
        path: ../src/Tmdb/Framework/Controller
        namespace: App\Tmdb\Framework\Controller
    type: attribute
    defaults:
        schemes: ['https']
